## RBCellRendererRating RBCellRendererRating — a GtkCellRenderer for displaying song ratings |

## Functions

GtkCellRenderer * | rb_cell_renderer_rating_new ()

## Properties

gdouble | rating | Read / Write

## Signals

void | rated | Run Last

## Types and Values

struct | RBCellRendererRating
struct | RBCellRendererRatingClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── RBCellRendererRating

## Description

This cell renderer is used to display song ratings in the RBEntryView, and allows the user to modify ratings directly in the track listing.

## Functions

### rb_cell_renderer_rating_new ()

    GtkCellRenderer *
    rb_cell_renderer_rating_new (void);

create a cell renderer that will display some pixbufs for representing the rating of a song. It is also able to update the rating.

#### Returns

the new cell renderer

## Types and Values

### struct RBCellRendererRating

    struct RBCellRendererRating;

### struct RBCellRendererRatingClass

    struct RBCellRendererRatingClass {
    	GtkCellRendererClass parent_class;

    	void (*rated) (RBCellRendererRating *renderer, const char *path, double rating);

    	RBCellRendererRatingClassPrivate *priv;
    };

## Property Details

### The `“rating”` property

      “rating”                   gdouble

The rating displayed by the renderer, as a floating point value between 0.0 and 5.0.

Flags: Read / Write

Allowed values: [0,5]

Default value: 2.5

## Signal Details

### The `“rated”` signal

    void
    user_function (RBCellRendererRating *renderer,
                   gchar                *score,
                   gdouble               path,
                   gpointer              user_data)

Emitted when the user changes the rating.

#### Parameters

renderer | the RBCellRendererRating |
score | the new rating |
path | string form of the GtkTreePath to the row that was changed |
user_data | user data set when the signal handler was connected. |

Flags: Run Last